Package org.apache.storm.sql.parser.impl

# Interface StormParserImplConstants

All Known Implementing Classes:
  `StormParserImpl`, `StormParserImplTokenManager`

public interface StormParserImplConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `A`
  RegularExpression Id.
  `static final int`
  `ABS`
  RegularExpression Id.
  `static final int`
  `ABSOLUTE`
  RegularExpression Id.
  `static final int`
  `ACTION`
  RegularExpression Id.
  `static final int`
  `ADA`
  RegularExpression Id.
  `static final int`
  `ADD`
  RegularExpression Id.
  `static final int`
  `ADMIN`
  RegularExpression Id.
  `static final int`
  `AFTER`
  RegularExpression Id.
  `static final int`
  `ALL`
  RegularExpression Id.
  `static final int`
  `ALLOCATE`
  RegularExpression Id.
  `static final int`
  `ALLOW`
  RegularExpression Id.
  `static final int`
  `ALTER`
  RegularExpression Id.
  `static final int`
  `ALWAYS`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `ANY`
  RegularExpression Id.
  `static final int`
  `APPLY`
  RegularExpression Id.
  `static final int`
  `APPROX_NUMERIC_LITERAL`
  RegularExpression Id.
  `static final int`
  `ARE`
  RegularExpression Id.
  `static final int`
  `ARRAY`
  RegularExpression Id.
  `static final int`
  `ARRAY_MAX_CARDINALITY`
  RegularExpression Id.
  `static final int`
  `AS`
  RegularExpression Id.
  `static final int`
  `ASC`
  RegularExpression Id.
  `static final int`
  `ASENSITIVE`
  RegularExpression Id.
  `static final int`
  `ASSERTION`
  RegularExpression Id.
  `static final int`
  `ASSIGNMENT`
  RegularExpression Id.
  `static final int`
  `ASYMMETRIC`
  RegularExpression Id.
  `static final int`
  `AT`
  RegularExpression Id.
  `static final int`
  `ATOMIC`
  RegularExpression Id.
  `static final int`
  `ATTRIBUTE`
  RegularExpression Id.
  `static final int`
  `ATTRIBUTES`
  RegularExpression Id.
  `static final int`
  `AUTHORIZATION`
  RegularExpression Id.
  `static final int`
  `AVG`
  RegularExpression Id.
  `static final int`
  `BACK_QUOTED_IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `BEFORE`
  RegularExpression Id.
  `static final int`
  `BEGIN`
  RegularExpression Id.
  `static final int`
  `BEGIN_FRAME`
  RegularExpression Id.
  `static final int`
  `BEGIN_PARTITION`
  RegularExpression Id.
  `static final int`
  `BEL`
  RegularExpression Id.
  `static final int`
  `BERNOULLI`
  RegularExpression Id.
  `static final int`
  `BETWEEN`
  RegularExpression Id.
  `static final int`
  `BIGINT`
  RegularExpression Id.
  `static final int`
  `BINARY`
  RegularExpression Id.
  `static final int`
  `BINARY_STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `BIT`
  RegularExpression Id.
  `static final int`
  `BLOB`
  RegularExpression Id.
  `static final int`
  `BOOLEAN`
  RegularExpression Id.
  `static final int`
  `BOTH`
  RegularExpression Id.
  `static final int`
  `BRACKET_QUOTED_IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `BREADTH`
  RegularExpression Id.
  `static final int`
  `BTID`
  Lexical state.
  `static final int`
  `BY`
  RegularExpression Id.
  `static final int`
  `C`
  RegularExpression Id.
  `static final int`
  `CALL`
  RegularExpression Id.
  `static final int`
  `CALLED`
  RegularExpression Id.
  `static final int`
  `CARDINALITY`
  RegularExpression Id.
  `static final int`
  `CARET`
  RegularExpression Id.
  `static final int`
  `CASCADE`
  RegularExpression Id.
  `static final int`
  `CASCADED`
  RegularExpression Id.
  `static final int`
  `CASE`
  RegularExpression Id.
  `static final int`
  `CAST`
  RegularExpression Id.
  `static final int`
  `CATALOG`
  RegularExpression Id.
  `static final int`
  `CATALOG_NAME`
  RegularExpression Id.
  `static final int`
  `CEIL`
  RegularExpression Id.
  `static final int`
  `CEILING`
  RegularExpression Id.
  `static final int`
  `CENTURY`
  RegularExpression Id.
  `static final int`
  `CHAIN`
  RegularExpression Id.
  `static final int`
  `CHAR`
  RegularExpression Id.
  `static final int`
  `CHAR_LENGTH`
  RegularExpression Id.
  `static final int`
  `CHARACTER`
  RegularExpression Id.
  `static final int`
  `CHARACTER_LENGTH`
  RegularExpression Id.
  `static final int`
  `CHARACTER_SET_CATALOG`
  RegularExpression Id.
  `static final int`
  `CHARACTER_SET_NAME`
  RegularExpression Id.
  `static final int`
  `CHARACTER_SET_SCHEMA`
  RegularExpression Id.
  `static final int`
  `CHARACTERISTICS`
  RegularExpression Id.
  `static final int`
  `CHARACTERS`
  RegularExpression Id.
  `static final int`
  `CHARSETNAME`
  RegularExpression Id.
  `static final int`
  `CHECK`
  RegularExpression Id.
  `static final int`
  `CLASS_ORIGIN`
  RegularExpression Id.
  `static final int`
  `CLASSIFIER`
  RegularExpression Id.
  `static final int`
  `CLOB`
  RegularExpression Id.
  `static final int`
  `CLOSE`
  RegularExpression Id.
  `static final int`
  `COALESCE`
  RegularExpression Id.
  `static final int`
  `COBOL`
  RegularExpression Id.
  `static final int`
  `COLLATE`
  RegularExpression Id.
  `static final int`
  `COLLATION`
  RegularExpression Id.
  `static final int`
  `COLLATION_CATALOG`
  RegularExpression Id.
  `static final int`
  `COLLATION_ID`
  RegularExpression Id.
  `static final int`
  `COLLATION_NAME`
  RegularExpression Id.
  `static final int`
  `COLLATION_SCHEMA`
  RegularExpression Id.
  `static final int`
  `COLLECT`
  RegularExpression Id.
  `static final int`
  `COLON`
  RegularExpression Id.
  `static final int`
  `COLUMN`
  RegularExpression Id.
  `static final int`
  `COLUMN_NAME`
  RegularExpression Id.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `COMMAND_FUNCTION`
  RegularExpression Id.
  `static final int`
  `COMMAND_FUNCTION_CODE`
  RegularExpression Id.
  `static final int`
  `COMMIT`
  RegularExpression Id.
  `static final int`
  `COMMITTED`
  RegularExpression Id.
  `static final int`
  `CONCAT`
  RegularExpression Id.
  `static final int`
  `CONDITION`
  RegularExpression Id.
  `static final int`
  `CONDITION_NUMBER`
  RegularExpression Id.
  `static final int`
  `CONNECT`
  RegularExpression Id.
  `static final int`
  `CONNECTION`
  RegularExpression Id.
  `static final int`
  `CONNECTION_NAME`
  RegularExpression Id.
  `static final int`
  `CONSTRAINT`
  RegularExpression Id.
  `static final int`
  `CONSTRAINT_CATALOG`
  RegularExpression Id.
  `static final int`
  `CONSTRAINT_NAME`
  RegularExpression Id.
  `static final int`
  `CONSTRAINT_SCHEMA`
  RegularExpression Id.
  `static final int`
  `CONSTRAINTS`
  RegularExpression Id.
  `static final int`
  `CONSTRUCTOR`
  RegularExpression Id.
  `static final int`
  `CONTAINS`
  RegularExpression Id.
  `static final int`
  `CONTINUE`
  RegularExpression Id.
  `static final int`
  `CONVERT`
  RegularExpression Id.
  `static final int`
  `CORR`
  RegularExpression Id.
  `static final int`
  `CORRESPONDING`
  RegularExpression Id.
  `static final int`
  `COUNT`
  RegularExpression Id.
  `static final int`
  `COVAR_POP`
  RegularExpression Id.
  `static final int`
  `COVAR_SAMP`
  RegularExpression Id.
  `static final int`
  `CREATE`
  RegularExpression Id.
  `static final int`
  `CROSS`
  RegularExpression Id.
  `static final int`
  `CUBE`
  RegularExpression Id.
  `static final int`
  `CUME_DIST`
  RegularExpression Id.
  `static final int`
  `CURRENT`
  RegularExpression Id.
  `static final int`
  `CURRENT_CATALOG`
  RegularExpression Id.
  `static final int`
  `CURRENT_DATE`
  RegularExpression Id.
  `static final int`
  `CURRENT_DEFAULT_TRANSFORM_GROUP`
  RegularExpression Id.
  `static final int`
  `CURRENT_PATH`
  RegularExpression Id.
  `static final int`
  `CURRENT_ROLE`
  RegularExpression Id.
  `static final int`
  `CURRENT_ROW`
  RegularExpression Id.
  `static final int`
  `CURRENT_SCHEMA`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIME`
  RegularExpression Id.
  `static final int`
  `CURRENT_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `CURRENT_TRANSFORM_GROUP_FOR_TYPE`
  RegularExpression Id.
  `static final int`
  `CURRENT_USER`
  RegularExpression Id.
  `static final int`
  `CURSOR`
  RegularExpression Id.
  `static final int`
  `CURSOR_NAME`
  RegularExpression Id.
  `static final int`
  `CYCLE`
  RegularExpression Id.
  `static final int`
  `DATA`
  RegularExpression Id.
  `static final int`
  `DATABASE`
  RegularExpression Id.
  `static final int`
  `DATE`
  RegularExpression Id.
  `static final int`
  `DATETIME_INTERVAL_CODE`
  RegularExpression Id.
  `static final int`
  `DATETIME_INTERVAL_PRECISION`
  RegularExpression Id.
  `static final int`
  `DAY`
  RegularExpression Id.
  `static final int`
  `DEALLOCATE`
  RegularExpression Id.
  `static final int`
  `DEC`
  RegularExpression Id.
  `static final int`
  `DECADE`
  RegularExpression Id.
  `static final int`
  `DECIMAL`
  RegularExpression Id.
  `static final int`
  `DECIMAL_NUMERIC_LITERAL`
  RegularExpression Id.
  `static final int`
  `DECLARE`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DEFAULT_`
  RegularExpression Id.
  `static final int`
  `DEFAULTS`
  RegularExpression Id.
  `static final int`
  `DEFERRABLE`
  RegularExpression Id.
  `static final int`
  `DEFERRED`
  RegularExpression Id.
  `static final int`
  `DEFINE`
  RegularExpression Id.
  `static final int`
  `DEFINED`
  RegularExpression Id.
  `static final int`
  `DEFINER`
  RegularExpression Id.
  `static final int`
  `DEGREE`
  RegularExpression Id.
  `static final int`
  `DELETE`
  RegularExpression Id.
  `static final int`
  `DENSE_RANK`
  RegularExpression Id.
  `static final int`
  `DEPTH`
  RegularExpression Id.
  `static final int`
  `DEREF`
  RegularExpression Id.
  `static final int`
  `DERIVED`
  RegularExpression Id.
  `static final int`
  `DESC`
  RegularExpression Id.
  `static final int`
  `DESCRIBE`
  RegularExpression Id.
  `static final int`
  `DESCRIPTION`
  RegularExpression Id.
  `static final int`
  `DESCRIPTOR`
  RegularExpression Id.
  `static final int`
  `DETERMINISTIC`
  RegularExpression Id.
  `static final int`
  `DIAGNOSTICS`
  RegularExpression Id.
  `static final int`
  `DIGIT`
  RegularExpression Id.
  `static final int`
  `DISALLOW`
  RegularExpression Id.
  `static final int`
  `DISCONNECT`
  RegularExpression Id.
  `static final int`
  `DISPATCH`
  RegularExpression Id.
  `static final int`
  `DISTINCT`
  RegularExpression Id.
  `static final int`
  `DOLLAR`
  RegularExpression Id.
  `static final int`
  `DOMAIN`
  RegularExpression Id.
  `static final int`
  `DOT`
  RegularExpression Id.
  `static final int`
  `DOUBLE`
  RegularExpression Id.
  `static final int`
  `DOUBLE_PERIOD`
  RegularExpression Id.
  `static final int`
  `DOUBLE_QUOTE`
  RegularExpression Id.
  `static final int`
  `DOW`
  RegularExpression Id.
  `static final int`
  `DOY`
  RegularExpression Id.
  `static final int`
  `DQID`
  Lexical state.
  `static final int`
  `DROP`
  RegularExpression Id.
  `static final int`
  `DYNAMIC`
  RegularExpression Id.
  `static final int`
  `DYNAMIC_FUNCTION`
  RegularExpression Id.
  `static final int`
  `DYNAMIC_FUNCTION_CODE`
  RegularExpression Id.
  `static final int`
  `EACH`
  RegularExpression Id.
  `static final int`
  `ELEMENT`
  RegularExpression Id.
  `static final int`
  `ELSE`
  RegularExpression Id.
  `static final int`
  `EMPTY`
  RegularExpression Id.
  `static final int`
  `END`
  RegularExpression Id.
  `static final int`
  `END_EXEC`
  RegularExpression Id.
  `static final int`
  `END_FRAME`
  RegularExpression Id.
  `static final int`
  `END_PARTITION`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EPOCH`
  RegularExpression Id.
  `static final int`
  `EQ`
  RegularExpression Id.
  `static final int`
  `EQUALS`
  RegularExpression Id.
  `static final int`
  `ESCAPE`
  RegularExpression Id.
  `static final int`
  `EVERY`
  RegularExpression Id.
  `static final int`
  `EXCEPT`
  RegularExpression Id.
  `static final int`
  `EXCEPTION`
  RegularExpression Id.
  `static final int`
  `EXCLUDE`
  RegularExpression Id.
  `static final int`
  `EXCLUDING`
  RegularExpression Id.
  `static final int`
  `EXEC`
  RegularExpression Id.
  `static final int`
  `EXECUTE`
  RegularExpression Id.
  `static final int`
  `EXISTS`
  RegularExpression Id.
  `static final int`
  `EXP`
  RegularExpression Id.
  `static final int`
  `EXPLAIN`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `EXTEND`
  RegularExpression Id.
  `static final int`
  `EXTERNAL`
  RegularExpression Id.
  `static final int`
  `EXTRACT`
  RegularExpression Id.
  `static final int`
  `FALSE`
  RegularExpression Id.
  `static final int`
  `FETCH`
  RegularExpression Id.
  `static final int`
  `FILTER`
  RegularExpression Id.
  `static final int`
  `FINAL`
  RegularExpression Id.
  `static final int`
  `FIRST`
  RegularExpression Id.
  `static final int`
  `FIRST_VALUE`
  RegularExpression Id.
  `static final int`
  `FLOAT`
  RegularExpression Id.
  `static final int`
  `FLOOR`
  RegularExpression Id.
  `static final int`
  `FOLLOWING`
  RegularExpression Id.
  `static final int`
  `FOR`
  RegularExpression Id.
  `static final int`
  `FOREIGN`
  RegularExpression Id.
  `static final int`
  `FORMAL_COMMENT`
  RegularExpression Id.
  `static final int`
  `FORTRAN`
  RegularExpression Id.
  `static final int`
  `FOUND`
  RegularExpression Id.
  `static final int`
  `FRAC_SECOND`
  RegularExpression Id.
  `static final int`
  `FRAME_ROW`
  RegularExpression Id.
  `static final int`
  `FREE`
  RegularExpression Id.
  `static final int`
  `FROM`
  RegularExpression Id.
  `static final int`
  `FULL`
  RegularExpression Id.
  `static final int`
  `FUNCTION`
  RegularExpression Id.
  `static final int`
  `FUSION`
  RegularExpression Id.
  `static final int`
  `G`
  RegularExpression Id.
  `static final int`
  `GE`
  RegularExpression Id.
  `static final int`
  `GENERAL`
  RegularExpression Id.
  `static final int`
  `GENERATED`
  RegularExpression Id.
  `static final int`
  `GEOMETRY`
  RegularExpression Id.
  `static final int`
  `GET`
  RegularExpression Id.
  `static final int`
  `GLOBAL`
  RegularExpression Id.
  `static final int`
  `GO`
  RegularExpression Id.
  `static final int`
  `GOTO`
  RegularExpression Id.
  `static final int`
  `GRANT`
  RegularExpression Id.
  `static final int`
  `GRANTED`
  RegularExpression Id.
  `static final int`
  `GROUP`
  RegularExpression Id.
  `static final int`
  `GROUPING`
  RegularExpression Id.
  `static final int`
  `GROUPS`
  RegularExpression Id.
  `static final int`
  `GT`
  RegularExpression Id.
  `static final int`
  `HAVING`
  RegularExpression Id.
  `static final int`
  `HEXDIGIT`
  RegularExpression Id.
  `static final int`
  `HIERARCHY`
  RegularExpression Id.
  `static final int`
  `HOLD`
  RegularExpression Id.
  `static final int`
  `HOOK`
  RegularExpression Id.
  `static final int`
  `HOUR`
  RegularExpression Id.
  `static final int`
  `IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `IDENTITY`
  RegularExpression Id.
  `static final int`
  `IMMEDIATE`
  RegularExpression Id.
  `static final int`
  `IMMEDIATELY`
  RegularExpression Id.
  `static final int`
  `IMPLEMENTATION`
  RegularExpression Id.
  `static final int`
  `IMPORT`
  RegularExpression Id.
  `static final int`
  `IN`
  RegularExpression Id.
  `static final int`
  `IN_FORMAL_COMMENT`
  Lexical state.
  `static final int`
  `IN_MULTI_LINE_COMMENT`
  Lexical state.
  `static final int`
  `INCLUDING`
  RegularExpression Id.
  `static final int`
  `INCREMENT`
  RegularExpression Id.
  `static final int`
  `INDICATOR`
  RegularExpression Id.
  `static final int`
  `INITIAL`
  RegularExpression Id.
  `static final int`
  `INITIALLY`
  RegularExpression Id.
  `static final int`
  `INNER`
  RegularExpression Id.
  `static final int`
  `INOUT`
  RegularExpression Id.
  `static final int`
  `INPUT`
  RegularExpression Id.
  `static final int`
  `INPUTFORMAT`
  RegularExpression Id.
  `static final int`
  `INSENSITIVE`
  RegularExpression Id.
  `static final int`
  `INSERT`
  RegularExpression Id.
  `static final int`
  `INSTANCE`
  RegularExpression Id.
  `static final int`
  `INSTANTIABLE`
  RegularExpression Id.
  `static final int`
  `INT`
  RegularExpression Id.
  `static final int`
  `INTEGER`
  RegularExpression Id.
  `static final int`
  `INTERSECT`
  RegularExpression Id.
  `static final int`
  `INTERSECTION`
  RegularExpression Id.
  `static final int`
  `INTERVAL`
  RegularExpression Id.
  `static final int`
  `INTO`
  RegularExpression Id.
  `static final int`
  `INVOKER`
  RegularExpression Id.
  `static final int`
  `IS`
  RegularExpression Id.
  `static final int`
  `ISOLATION`
  RegularExpression Id.
  `static final int`
  `JAR`
  RegularExpression Id.
  `static final int`
  `JAVA`
  RegularExpression Id.
  `static final int`
  `JOIN`
  RegularExpression Id.
  `static final int`
  `JSON`
  RegularExpression Id.
  `static final int`
  `K`
  RegularExpression Id.
  `static final int`
  `KEY`
  RegularExpression Id.
  `static final int`
  `KEY_MEMBER`
  RegularExpression Id.
  `static final int`
  `KEY_TYPE`
  RegularExpression Id.
  `static final int`
  `LABEL`
  RegularExpression Id.
  `static final int`
  `LAG`
  RegularExpression Id.
  `static final int`
  `LANGUAGE`
  RegularExpression Id.
  `static final int`
  `LARGE`
  RegularExpression Id.
  `static final int`
  `LAST`
  RegularExpression Id.
  `static final int`
  `LAST_VALUE`
  RegularExpression Id.
  `static final int`
  `LATERAL`
  RegularExpression Id.
  `static final int`
  `LBRACE`
  RegularExpression Id.
  `static final int`
  `LBRACE_D`
  RegularExpression Id.
  `static final int`
  `LBRACE_FN`
  RegularExpression Id.
  `static final int`
  `LBRACE_T`
  RegularExpression Id.
  `static final int`
  `LBRACE_TS`
  RegularExpression Id.
  `static final int`
  `LBRACKET`
  RegularExpression Id.
  `static final int`
  `LE`
  RegularExpression Id.
  `static final int`
  `LEAD`
  RegularExpression Id.
  `static final int`
  `LEADING`
  RegularExpression Id.
  `static final int`
  `LEFT`
  RegularExpression Id.
  `static final int`
  `LENGTH`
  RegularExpression Id.
  `static final int`
  `LETTER`
  RegularExpression Id.
  `static final int`
  `LEVEL`
  RegularExpression Id.
  `static final int`
  `LIBRARY`
  RegularExpression Id.
  `static final int`
  `LIKE`
  RegularExpression Id.
  `static final int`
  `LIKE_REGEX`
  RegularExpression Id.
  `static final int`
  `LIMIT`
  RegularExpression Id.
  `static final int`
  `LN`
  RegularExpression Id.
  `static final int`
  `LOCAL`
  RegularExpression Id.
  `static final int`
  `LOCALTIME`
  RegularExpression Id.
  `static final int`
  `LOCALTIMESTAMP`
  RegularExpression Id.
  `static final int`
  `LOCATION`
  RegularExpression Id.
  `static final int`
  `LOCATOR`
  RegularExpression Id.
  `static final int`
  `LOWER`
  RegularExpression Id.
  `static final int`
  `LPAREN`
  RegularExpression Id.
  `static final int`
  `LT`
  RegularExpression Id.
  `static final int`
  `M`
  RegularExpression Id.
  `static final int`
  `MAP`
  RegularExpression Id.
  `static final int`
  `MATCH`
  RegularExpression Id.
  `static final int`
  `MATCH_NUMBER`
  RegularExpression Id.
  `static final int`
  `MATCH_RECOGNIZE`
  RegularExpression Id.
  `static final int`
  `MATCHED`
  RegularExpression Id.
  `static final int`
  `MATCHES`
  RegularExpression Id.
  `static final int`
  `MAX`
  RegularExpression Id.
  `static final int`
  `MAXVALUE`
  RegularExpression Id.
  `static final int`
  `MEASURES`
  RegularExpression Id.
  `static final int`
  `MEMBER`
  RegularExpression Id.
  `static final int`
  `MERGE`
  RegularExpression Id.
  `static final int`
  `MESSAGE_LENGTH`
  RegularExpression Id.
  `static final int`
  `MESSAGE_OCTET_LENGTH`
  RegularExpression Id.
  `static final int`
  `MESSAGE_TEXT`
  RegularExpression Id.
  `static final int`
  `METHOD`
  RegularExpression Id.
  `static final int`
  `MICROSECOND`
  RegularExpression Id.
  `static final int`
  `MILLENNIUM`
  RegularExpression Id.
  `static final int`
  `MIN`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `MINUTE`
  RegularExpression Id.
  `static final int`
  `MINVALUE`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `MODIFIES`
  RegularExpression Id.
  `static final int`
  `MODULE`
  RegularExpression Id.
  `static final int`
  `MONTH`
  RegularExpression Id.
  `static final int`
  `MORE_`
  RegularExpression Id.
  `static final int`
  `MULTI_LINE_COMMENT`
  RegularExpression Id.
  `static final int`
  `MULTISET`
  RegularExpression Id.
  `static final int`
  `MUMPS`
  RegularExpression Id.
  `static final int`
  `NAME`
  RegularExpression Id.
  `static final int`
  `NAMED_ARGUMENT_ASSIGNMENT`
  RegularExpression Id.
  `static final int`
  `NAMES`
  RegularExpression Id.
  `static final int`
  `NATIONAL`
  RegularExpression Id.
  `static final int`
  `NATURAL`
  RegularExpression Id.
  `static final int`
  `NCHAR`
  RegularExpression Id.
  `static final int`
  `NCLOB`
  RegularExpression Id.
  `static final int`
  `NE`
  RegularExpression Id.
  `static final int`
  `NE2`
  RegularExpression Id.
  `static final int`
  `NESTING`
  RegularExpression Id.
  `static final int`
  `NEW`
  RegularExpression Id.
  `static final int`
  `NEXT`
  RegularExpression Id.
  `static final int`
  `NO`
  RegularExpression Id.
  `static final int`
  `NONE`
  RegularExpression Id.
  `static final int`
  `NORMALIZE`
  RegularExpression Id.
  `static final int`
  `NORMALIZED`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NTH_VALUE`
  RegularExpression Id.
  `static final int`
  `NTILE`
  RegularExpression Id.
  `static final int`
  `NULL`
  RegularExpression Id.
  `static final int`
  `NULLABLE`
  RegularExpression Id.
  `static final int`
  `NULLIF`
  RegularExpression Id.
  `static final int`
  `NULLS`
  RegularExpression Id.
  `static final int`
  `NUMBER`
  RegularExpression Id.
  `static final int`
  `NUMERIC`
  RegularExpression Id.
  `static final int`
  `OBJECT`
  RegularExpression Id.
  `static final int`
  `OCCURRENCES_REGEX`
  RegularExpression Id.
  `static final int`
  `OCTET_LENGTH`
  RegularExpression Id.
  `static final int`
  `OCTETS`
  RegularExpression Id.
  `static final int`
  `OF`
  RegularExpression Id.
  `static final int`
  `OFFSET`
  RegularExpression Id.
  `static final int`
  `OLD`
  RegularExpression Id.
  `static final int`
  `OMIT`
  RegularExpression Id.
  `static final int`
  `ON`
  RegularExpression Id.
  `static final int`
  `ONE`
  RegularExpression Id.
  `static final int`
  `ONLY`
  RegularExpression Id.
  `static final int`
  `OPEN`
  RegularExpression Id.
  `static final int`
  `OPTION`
  RegularExpression Id.
  `static final int`
  `OPTIONS`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `ORDER`
  RegularExpression Id.
  `static final int`
  `ORDERING`
  RegularExpression Id.
  `static final int`
  `ORDINALITY`
  RegularExpression Id.
  `static final int`
  `OTHERS`
  RegularExpression Id.
  `static final int`
  `OUT`
  RegularExpression Id.
  `static final int`
  `OUTER`
  RegularExpression Id.
  `static final int`
  `OUTPUT`
  RegularExpression Id.
  `static final int`
  `OUTPUTFORMAT`
  RegularExpression Id.
  `static final int`
  `OVER`
  RegularExpression Id.
  `static final int`
  `OVERLAPS`
  RegularExpression Id.
  `static final int`
  `OVERLAY`
  RegularExpression Id.
  `static final int`
  `OVERRIDING`
  RegularExpression Id.
  `static final int`
  `PAD`
  RegularExpression Id.
  `static final int`
  `PARALLELISM`
  RegularExpression Id.
  `static final int`
  `PARAMETER`
  RegularExpression Id.
  `static final int`
  `PARAMETER_MODE`
  RegularExpression Id.
  `static final int`
  `PARAMETER_NAME`
  RegularExpression Id.
  `static final int`
  `PARAMETER_ORDINAL_POSITION`
  RegularExpression Id.
  `static final int`
  `PARAMETER_SPECIFIC_CATALOG`
  RegularExpression Id.
  `static final int`
  `PARAMETER_SPECIFIC_NAME`
  RegularExpression Id.
  `static final int`
  `PARAMETER_SPECIFIC_SCHEMA`
  RegularExpression Id.
  `static final int`
  `PARTIAL`
  RegularExpression Id.
  `static final int`
  `PARTITION`
  RegularExpression Id.
  `static final int`
  `PASCAL`
  RegularExpression Id.
  `static final int`
  `PASSTHROUGH`
  RegularExpression Id.
  `static final int`
  `PAST`
  RegularExpression Id.
  `static final int`
  `PATH`
  RegularExpression Id.
  `static final int`
  `PATTERN`
  RegularExpression Id.
  `static final int`
  `PER`
  RegularExpression Id.
  `static final int`
  `PERCENT`
  RegularExpression Id.
  `static final int`
  `PERCENT_RANK`
  RegularExpression Id.
  `static final int`
  `PERCENT_REMAINDER`
  RegularExpression Id.
  `static final int`
  `PERCENTILE_CONT`
  RegularExpression Id.
  `static final int`
  `PERCENTILE_DISC`
  RegularExpression Id.
  `static final int`
  `PERIOD`
  RegularExpression Id.
  `static final int`
  `PERMUTE`
  RegularExpression Id.
  `static final int`
  `PLACING`
  RegularExpression Id.
  `static final int`
  `PLAN`
  RegularExpression Id.
  `static final int`
  `PLI`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `PORTION`
  RegularExpression Id.
  `static final int`
  `POSITION`
  RegularExpression Id.
  `static final int`
  `POSITION_REGEX`
  RegularExpression Id.
  `static final int`
  `POWER`
  RegularExpression Id.
  `static final int`
  `PRECEDES`
  RegularExpression Id.
  `static final int`
  `PRECEDING`
  RegularExpression Id.
  `static final int`
  `PRECISION`
  RegularExpression Id.
  `static final int`
  `PREFIXED_STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `PREPARE`
  RegularExpression Id.
  `static final int`
  `PRESERVE`
  RegularExpression Id.
  `static final int`
  `PREV`
  RegularExpression Id.
  `static final int`
  `PRIMARY`
  RegularExpression Id.
  `static final int`
  `PRIOR`
  RegularExpression Id.
  `static final int`
  `PRIVILEGES`
  RegularExpression Id.
  `static final int`
  `PROCEDURE`
  RegularExpression Id.
  `static final int`
  `PUBLIC`
  RegularExpression Id.
  `static final int`
  `QUARTER`
  RegularExpression Id.
  `static final int`
  `QUOTE`
  RegularExpression Id.
  `static final int`
  `QUOTED_IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `QUOTED_STRING`
  RegularExpression Id.
  `static final int`
  `RANGE`
  RegularExpression Id.
  `static final int`
  `RANK`
  RegularExpression Id.
  `static final int`
  `RBRACE`
  RegularExpression Id.
  `static final int`
  `RBRACKET`
  RegularExpression Id.
  `static final int`
  `READ`
  RegularExpression Id.
  `static final int`
  `READS`
  RegularExpression Id.
  `static final int`
  `REAL`
  RegularExpression Id.
  `static final int`
  `RECURSIVE`
  RegularExpression Id.
  `static final int`
  `REF`
  RegularExpression Id.
  `static final int`
  `REFERENCES`
  RegularExpression Id.
  `static final int`
  `REFERENCING`
  RegularExpression Id.
  `static final int`
  `REGR_AVGX`
  RegularExpression Id.
  `static final int`
  `REGR_AVGY`
  RegularExpression Id.
  `static final int`
  `REGR_COUNT`
  RegularExpression Id.
  `static final int`
  `REGR_INTERCEPT`
  RegularExpression Id.
  `static final int`
  `REGR_R2`
  RegularExpression Id.
  `static final int`
  `REGR_SLOPE`
  RegularExpression Id.
  `static final int`
  `REGR_SXX`
  RegularExpression Id.
  `static final int`
  `REGR_SXY`
  RegularExpression Id.
  `static final int`
  `REGR_SYY`
  RegularExpression Id.
  `static final int`
  `RELATIVE`
  RegularExpression Id.
  `static final int`
  `RELEASE`
  RegularExpression Id.
  `static final int`
  `REPEATABLE`
  RegularExpression Id.
  `static final int`
  `REPLACE`
  RegularExpression Id.
  `static final int`
  `RESET`
  RegularExpression Id.
  `static final int`
  `RESTART`
  RegularExpression Id.
  `static final int`
  `RESTRICT`
  RegularExpression Id.
  `static final int`
  `RESULT`
  RegularExpression Id.
  `static final int`
  `RETURN`
  RegularExpression Id.
  `static final int`
  `RETURNED_CARDINALITY`
  RegularExpression Id.
  `static final int`
  `RETURNED_LENGTH`
  RegularExpression Id.
  `static final int`
  `RETURNED_OCTET_LENGTH`
  RegularExpression Id.
  `static final int`
  `RETURNED_SQLSTATE`
  RegularExpression Id.
  `static final int`
  `RETURNS`
  RegularExpression Id.
  `static final int`
  `REVOKE`
  RegularExpression Id.
  `static final int`
  `RIGHT`
  RegularExpression Id.
  `static final int`
  `ROLE`
  RegularExpression Id.
  `static final int`
  `ROLLBACK`
  RegularExpression Id.
  `static final int`
  `ROLLUP`
  RegularExpression Id.
  `static final int`
  `ROUTINE`
  RegularExpression Id.
  `static final int`
  `ROUTINE_CATALOG`
  RegularExpression Id.
  `static final int`
  `ROUTINE_NAME`
  RegularExpression Id.
  `static final int`
  `ROUTINE_SCHEMA`
  RegularExpression Id.
  `static final int`
  `ROW`
  RegularExpression Id.
  `static final int`
  `ROW_COUNT`
  RegularExpression Id.
  `static final int`
  `ROW_NUMBER`
  RegularExpression Id.
  `static final int`
  `ROWS`
  RegularExpression Id.
  `static final int`
  `RPAREN`
  RegularExpression Id.
  `static final int`
  `RUNNING`
  RegularExpression Id.
  `static final int`
  `SAVEPOINT`
  RegularExpression Id.
  `static final int`
  `SCALE`
  RegularExpression Id.
  `static final int`
  `SCHEMA`
  RegularExpression Id.
  `static final int`
  `SCHEMA_NAME`
  RegularExpression Id.
  `static final int`
  `SCOPE`
  RegularExpression Id.
  `static final int`
  `SCOPE_CATALOGS`
  RegularExpression Id.
  `static final int`
  `SCOPE_NAME`
  RegularExpression Id.
  `static final int`
  `SCOPE_SCHEMA`
  RegularExpression Id.
  `static final int`
  `SCROLL`
  RegularExpression Id.
  `static final int`
  `SEARCH`
  RegularExpression Id.
  `static final int`
  `SECOND`
  RegularExpression Id.
  `static final int`
  `SECTION`
  RegularExpression Id.
  `static final int`
  `SECURITY`
  RegularExpression Id.
  `static final int`
  `SEEK`
  RegularExpression Id.
  `static final int`
  `SELECT`
  RegularExpression Id.
  `static final int`
  `SELF`
  RegularExpression Id.
  `static final int`
  `SEMICOLON`
  RegularExpression Id.
  `static final int`
  `SENSITIVE`
  RegularExpression Id.
  `static final int`
  `SEQUENCE`
  RegularExpression Id.
  `static final int`
  `SERIALIZABLE`
  RegularExpression Id.
  `static final int`
  `SERVER`
  RegularExpression Id.
  `static final int`
  `SERVER_NAME`
  RegularExpression Id.
  `static final int`
  `SESSION`
  RegularExpression Id.
  `static final int`
  `SESSION_USER`
  RegularExpression Id.
  `static final int`
  `SET`
  RegularExpression Id.
  `static final int`
  `SET_MINUS`
  RegularExpression Id.
  `static final int`
  `SETS`
  RegularExpression Id.
  `static final int`
  `SHOW`
  RegularExpression Id.
  `static final int`
  `SIMILAR`
  RegularExpression Id.
  `static final int`
  `SIMPLE`
  RegularExpression Id.
  `static final int`
  `SINGLE_LINE_COMMENT`
  RegularExpression Id.
  `static final int`
  `SIZE`
  RegularExpression Id.
  `static final int`
  `SKIP_`
  RegularExpression Id.
  `static final int`
  `SLASH`
  RegularExpression Id.
  `static final int`
  `SMALLINT`
  RegularExpression Id.
  `static final int`
  `SOME`
  RegularExpression Id.
  `static final int`
  `SOURCE`
  RegularExpression Id.
  `static final int`
  `SPACE`
  RegularExpression Id.
  `static final int`
  `SPECIFIC`
  RegularExpression Id.
  `static final int`
  `SPECIFIC_NAME`
  RegularExpression Id.
  `static final int`
  `SPECIFICTYPE`
  RegularExpression Id.
  `static final int`
  `SQL`
  RegularExpression Id.
  `static final int`
  `SQL_BIGINT`
  RegularExpression Id.
  `static final int`
  `SQL_BINARY`
  RegularExpression Id.
  `static final int`
  `SQL_BIT`
  RegularExpression Id.
  `static final int`
  `SQL_BLOB`
  RegularExpression Id.
  `static final int`
  `SQL_BOOLEAN`
  RegularExpression Id.
  `static final int`
  `SQL_CHAR`
  RegularExpression Id.
  `static final int`
  `SQL_CLOB`
  RegularExpression Id.
  `static final int`
  `SQL_DATE`
  RegularExpression Id.
  `static final int`
  `SQL_DECIMAL`
  RegularExpression Id.
  `static final int`
  `SQL_DOUBLE`
  RegularExpression Id.
  `static final int`
  `SQL_FLOAT`
  RegularExpression Id.
  `static final int`
  `SQL_INTEGER`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_DAY`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_DAY_TO_HOUR`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_DAY_TO_MINUTE`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_DAY_TO_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_HOUR`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_HOUR_TO_MINUTE`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_HOUR_TO_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_MINUTE`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_MINUTE_TO_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_MONTH`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_YEAR`
  RegularExpression Id.
  `static final int`
  `SQL_INTERVAL_YEAR_TO_MONTH`
  RegularExpression Id.
  `static final int`
  `SQL_LONGVARBINARY`
  RegularExpression Id.
  `static final int`
  `SQL_LONGVARCHAR`
  RegularExpression Id.
  `static final int`
  `SQL_LONGVARNCHAR`
  RegularExpression Id.
  `static final int`
  `SQL_NCHAR`
  RegularExpression Id.
  `static final int`
  `SQL_NCLOB`
  RegularExpression Id.
  `static final int`
  `SQL_NUMERIC`
  RegularExpression Id.
  `static final int`
  `SQL_NVARCHAR`
  RegularExpression Id.
  `static final int`
  `SQL_REAL`
  RegularExpression Id.
  `static final int`
  `SQL_SMALLINT`
  RegularExpression Id.
  `static final int`
  `SQL_TIME`
  RegularExpression Id.
  `static final int`
  `SQL_TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `SQL_TINYINT`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_DAY`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_FRAC_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_HOUR`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_MICROSECOND`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_MINUTE`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_MONTH`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_QUARTER`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_SECOND`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_WEEK`
  RegularExpression Id.
  `static final int`
  `SQL_TSI_YEAR`
  RegularExpression Id.
  `static final int`
  `SQL_VARBINARY`
  RegularExpression Id.
  `static final int`
  `SQL_VARCHAR`
  RegularExpression Id.
  `static final int`
  `SQLEXCEPTION`
  RegularExpression Id.
  `static final int`
  `SQLSTATE`
  RegularExpression Id.
  `static final int`
  `SQLWARNING`
  RegularExpression Id.
  `static final int`
  `SQRT`
  RegularExpression Id.
  `static final int`
  `STAR`
  RegularExpression Id.
  `static final int`
  `START`
  RegularExpression Id.
  `static final int`
  `STATE`
  RegularExpression Id.
  `static final int`
  `STATEMENT`
  RegularExpression Id.
  `static final int`
  `STATIC`
  RegularExpression Id.
  `static final int`
  `STDDEV_POP`
  RegularExpression Id.
  `static final int`
  `STDDEV_SAMP`
  RegularExpression Id.
  `static final int`
  `STORED`
  RegularExpression Id.
  `static final int`
  `STREAM`
  RegularExpression Id.
  `static final int`
  `STRUCTURE`
  RegularExpression Id.
  `static final int`
  `STYLE`
  RegularExpression Id.
  `static final int`
  `SUBCLASS_ORIGIN`
  RegularExpression Id.
  `static final int`
  `SUBMULTISET`
  RegularExpression Id.
  `static final int`
  `SUBSET`
  RegularExpression Id.
  `static final int`
  `SUBSTITUTE`
  RegularExpression Id.
  `static final int`
  `SUBSTRING`
  RegularExpression Id.
  `static final int`
  `SUBSTRING_REGEX`
  RegularExpression Id.
  `static final int`
  `SUCCEEDS`
  RegularExpression Id.
  `static final int`
  `SUM`
  RegularExpression Id.
  `static final int`
  `SYMMETRIC`
  RegularExpression Id.
  `static final int`
  `SYSTEM`
  RegularExpression Id.
  `static final int`
  `SYSTEM_TIME`
  RegularExpression Id.
  `static final int`
  `SYSTEM_USER`
  RegularExpression Id.
  `static final int`
  `TABLE`
  RegularExpression Id.
  `static final int`
  `TABLE_NAME`
  RegularExpression Id.
  `static final int`
  `TABLESAMPLE`
  RegularExpression Id.
  `static final int`
  `TBLPROPERTIES`
  RegularExpression Id.
  `static final int`
  `TEMPORARY`
  RegularExpression Id.
  `static final int`
  `THEN`
  RegularExpression Id.
  `static final int`
  `TIES`
  RegularExpression Id.
  `static final int`
  `TIME`
  RegularExpression Id.
  `static final int`
  `TIMESTAMP`
  RegularExpression Id.
  `static final int`
  `TIMESTAMPADD`
  RegularExpression Id.
  `static final int`
  `TIMESTAMPDIFF`
  RegularExpression Id.
  `static final int`
  `TIMEZONE_HOUR`
  RegularExpression Id.
  `static final int`
  `TIMEZONE_MINUTE`
  RegularExpression Id.
  `static final int`
  `TINYINT`
  RegularExpression Id.
  `static final int`
  `TO`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `TOP_LEVEL_COUNT`
  RegularExpression Id.
  `static final int`
  `TRAILING`
  RegularExpression Id.
  `static final int`
  `TRANSACTION`
  RegularExpression Id.
  `static final int`
  `TRANSACTIONS_ACTIVE`
  RegularExpression Id.
  `static final int`
  `TRANSACTIONS_COMMITTED`
  RegularExpression Id.
  `static final int`
  `TRANSACTIONS_ROLLED_BACK`
  RegularExpression Id.
  `static final int`
  `TRANSFORM`
  RegularExpression Id.
  `static final int`
  `TRANSFORMS`
  RegularExpression Id.
  `static final int`
  `TRANSLATE`
  RegularExpression Id.
  `static final int`
  `TRANSLATE_REGEX`
  RegularExpression Id.
  `static final int`
  `TRANSLATION`
  RegularExpression Id.
  `static final int`
  `TREAT`
  RegularExpression Id.
  `static final int`
  `TRIGGER`
  RegularExpression Id.
  `static final int`
  `TRIGGER_CATALOG`
  RegularExpression Id.
  `static final int`
  `TRIGGER_NAME`
  RegularExpression Id.
  `static final int`
  `TRIGGER_SCHEMA`
  RegularExpression Id.
  `static final int`
  `TRIM`
  RegularExpression Id.
  `static final int`
  `TRIM_ARRAY`
  RegularExpression Id.
  `static final int`
  `TRUE`
  RegularExpression Id.
  `static final int`
  `TRUNCATE`
  RegularExpression Id.
  `static final int`
  `TYPE`
  RegularExpression Id.
  `static final int`
  `UESCAPE`
  RegularExpression Id.
  `static final int`
  `UNBOUNDED`
  RegularExpression Id.
  `static final int`
  `UNCOMMITTED`
  RegularExpression Id.
  `static final int`
  `UNDER`
  RegularExpression Id.
  `static final int`
  `UNICODE_QUOTED_ESCAPE_CHAR`
  RegularExpression Id.
  `static final int`
  `UNICODE_QUOTED_IDENTIFIER`
  RegularExpression Id.
  `static final int`
  `UNICODE_STRING_LITERAL`
  RegularExpression Id.
  `static final int`
  `UNION`
  RegularExpression Id.
  `static final int`
  `UNIQUE`
  RegularExpression Id.
  `static final int`
  `UNKNOWN`
  RegularExpression Id.
  `static final int`
  `UNNAMED`
  RegularExpression Id.
  `static final int`
  `UNNEST`
  RegularExpression Id.
  `static final int`
  `UNSIGNED_INTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `UPDATE`
  RegularExpression Id.
  `static final int`
  `UPPER`
  RegularExpression Id.
  `static final int`
  `UPSERT`
  RegularExpression Id.
  `static final int`
  `USAGE`
  RegularExpression Id.
  `static final int`
  `USER`
  RegularExpression Id.
  `static final int`
  `USER_DEFINED_TYPE_CATALOG`
  RegularExpression Id.
  `static final int`
  `USER_DEFINED_TYPE_CODE`
  RegularExpression Id.
  `static final int`
  `USER_DEFINED_TYPE_NAME`
  RegularExpression Id.
  `static final int`
  `USER_DEFINED_TYPE_SCHEMA`
  RegularExpression Id.
  `static final int`
  `USING`
  RegularExpression Id.
  `static final int`
  `VALUE`
  RegularExpression Id.
  `static final int`
  `VALUE_OF`
  RegularExpression Id.
  `static final int`
  `VALUES`
  RegularExpression Id.
  `static final int`
  `VAR_POP`
  RegularExpression Id.
  `static final int`
  `VAR_SAMP`
  RegularExpression Id.
  `static final int`
  `VARBINARY`
  RegularExpression Id.
  `static final int`
  `VARCHAR`
  RegularExpression Id.
  `static final int`
  `VARYING`
  RegularExpression Id.
  `static final int`
  `VERSION`
  RegularExpression Id.
  `static final int`
  `VERSIONING`
  RegularExpression Id.
  `static final int`
  `VERTICAL_BAR`
  RegularExpression Id.
  `static final int`
  `VIEW`
  RegularExpression Id.
  `static final int`
  `WEEK`
  RegularExpression Id.
  `static final int`
  `WHEN`
  RegularExpression Id.
  `static final int`
  `WHENEVER`
  RegularExpression Id.
  `static final int`
  `WHERE`
  RegularExpression Id.
  `static final int`
  `WHITESPACE`
  RegularExpression Id.
  `static final int`
  `WIDTH_BUCKET`
  RegularExpression Id.
  `static final int`
  `WINDOW`
  RegularExpression Id.
  `static final int`
  `WITH`
  RegularExpression Id.
  `static final int`
  `WITHIN`
  RegularExpression Id.
  `static final int`
  `WITHOUT`
  RegularExpression Id.
  `static final int`
  `WORK`
  RegularExpression Id.
  `static final int`
  `WRAPPER`
  RegularExpression Id.
  `static final int`
  `WRITE`
  RegularExpression Id.
  `static final int`
  `XML`
  RegularExpression Id.
  `static final int`
  `YEAR`
  RegularExpression Id.
  `static final int`
  `ZONE`
  RegularExpression Id.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### A

    static final int A
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ABS

    static final int ABS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ABSOLUTE

    static final int ABSOLUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ACTION

    static final int ACTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ADA

    static final int ADA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ADD

    static final int ADD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ADMIN

    static final int ADMIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AFTER

    static final int AFTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALL

    static final int ALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALLOCATE

    static final int ALLOCATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALLOW

    static final int ALLOW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALTER

    static final int ALTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ALWAYS

    static final int ALWAYS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ANY

    static final int ANY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### APPLY

    static final int APPLY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARE

    static final int ARE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARRAY

    static final int ARRAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ARRAY_MAX_CARDINALITY

    static final int ARRAY_MAX_CARDINALITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AS

    static final int AS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASC

    static final int ASC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASENSITIVE

    static final int ASENSITIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASSERTION

    static final int ASSERTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASSIGNMENT

    static final int ASSIGNMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ASYMMETRIC

    static final int ASYMMETRIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AT

    static final int AT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ATOMIC

    static final int ATOMIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE

    static final int ATTRIBUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ATTRIBUTES

    static final int ATTRIBUTES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AUTHORIZATION

    static final int AUTHORIZATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AVG

    static final int AVG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEFORE

    static final int BEFORE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEGIN

    static final int BEGIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEGIN_FRAME

    static final int BEGIN_FRAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEGIN_PARTITION

    static final int BEGIN_PARTITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BERNOULLI

    static final int BERNOULLI
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BETWEEN

    static final int BETWEEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BIGINT

    static final int BIGINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BINARY

    static final int BINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BIT

    static final int BIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BLOB

    static final int BLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BOOLEAN

    static final int BOOLEAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BOTH

    static final int BOTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BREADTH

    static final int BREADTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BY

    static final int BY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### C

    static final int C
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CALL

    static final int CALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CALLED

    static final int CALLED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CARDINALITY

    static final int CARDINALITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CASCADE

    static final int CASCADE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CASCADED

    static final int CASCADED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CASE

    static final int CASE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CAST

    static final int CAST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CATALOG

    static final int CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CATALOG_NAME

    static final int CATALOG_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CEIL

    static final int CEIL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CEILING

    static final int CEILING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CENTURY

    static final int CENTURY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHAIN

    static final int CHAIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHAR

    static final int CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHAR_LENGTH

    static final int CHAR_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER

    static final int CHARACTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_LENGTH

    static final int CHARACTER_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_SET_CATALOG

    static final int CHARACTER_SET_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_SET_NAME

    static final int CHARACTER_SET_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTER_SET_SCHEMA

    static final int CHARACTER_SET_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTERISTICS

    static final int CHARACTERISTICS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARACTERS

    static final int CHARACTERS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHECK

    static final int CHECK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CLASSIFIER

    static final int CLASSIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CLASS_ORIGIN

    static final int CLASS_ORIGIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CLOB

    static final int CLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CLOSE

    static final int CLOSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COALESCE

    static final int COALESCE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COBOL

    static final int COBOL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATE

    static final int COLLATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATION

    static final int COLLATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATION_CATALOG

    static final int COLLATION_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATION_NAME

    static final int COLLATION_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATION_SCHEMA

    static final int COLLATION_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLECT

    static final int COLLECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLUMN

    static final int COLUMN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLUMN_NAME

    static final int COLUMN_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMAND_FUNCTION

    static final int COMMAND_FUNCTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMAND_FUNCTION_CODE

    static final int COMMAND_FUNCTION_CODE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMIT

    static final int COMMIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMITTED

    static final int COMMITTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONDITION

    static final int CONDITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONDITION_NUMBER

    static final int CONDITION_NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONNECT

    static final int CONNECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONNECTION

    static final int CONNECTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONNECTION_NAME

    static final int CONNECTION_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRAINT

    static final int CONSTRAINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRAINT_CATALOG

    static final int CONSTRAINT_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRAINT_NAME

    static final int CONSTRAINT_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRAINT_SCHEMA

    static final int CONSTRAINT_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRAINTS

    static final int CONSTRAINTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTRUCTOR

    static final int CONSTRUCTOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONTAINS

    static final int CONTAINS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONTINUE

    static final int CONTINUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONVERT

    static final int CONVERT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CORR

    static final int CORR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CORRESPONDING

    static final int CORRESPONDING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COUNT

    static final int COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COVAR_POP

    static final int COVAR_POP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COVAR_SAMP

    static final int COVAR_SAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CREATE

    static final int CREATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CROSS

    static final int CROSS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CUBE

    static final int CUBE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CUME_DIST

    static final int CUME_DIST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT

    static final int CURRENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_CATALOG

    static final int CURRENT_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_DATE

    static final int CURRENT_DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_DEFAULT_TRANSFORM_GROUP

    static final int CURRENT_DEFAULT_TRANSFORM_GROUP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_PATH

    static final int CURRENT_PATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_ROLE

    static final int CURRENT_ROLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_ROW

    static final int CURRENT_ROW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_SCHEMA

    static final int CURRENT_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIME

    static final int CURRENT_TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TIMESTAMP

    static final int CURRENT_TIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_TRANSFORM_GROUP_FOR_TYPE

    static final int CURRENT_TRANSFORM_GROUP_FOR_TYPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURRENT_USER

    static final int CURRENT_USER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURSOR

    static final int CURSOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CURSOR_NAME

    static final int CURSOR_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CYCLE

    static final int CYCLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATA

    static final int DATA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATABASE

    static final int DATABASE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATE

    static final int DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATETIME_INTERVAL_CODE

    static final int DATETIME_INTERVAL_CODE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DATETIME_INTERVAL_PRECISION

    static final int DATETIME_INTERVAL_PRECISION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DAY

    static final int DAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEALLOCATE

    static final int DEALLOCATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEC

    static final int DEC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECADE

    static final int DECADE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL

    static final int DECIMAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECLARE

    static final int DECLARE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT_

    static final int DEFAULT_
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULTS

    static final int DEFAULTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFERRABLE

    static final int DEFERRABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFERRED

    static final int DEFERRED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFINE

    static final int DEFINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFINED

    static final int DEFINED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFINER

    static final int DEFINER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEGREE

    static final int DEGREE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DELETE

    static final int DELETE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DENSE_RANK

    static final int DENSE_RANK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEPTH

    static final int DEPTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEREF

    static final int DEREF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DERIVED

    static final int DERIVED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DESC

    static final int DESC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DESCRIBE

    static final int DESCRIBE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    static final int DESCRIPTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DESCRIPTOR

    static final int DESCRIPTOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DETERMINISTIC

    static final int DETERMINISTIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIAGNOSTICS

    static final int DIAGNOSTICS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISALLOW

    static final int DISALLOW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISCONNECT

    static final int DISCONNECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISPATCH

    static final int DISPATCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DISTINCT

    static final int DISTINCT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOMAIN

    static final int DOMAIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE

    static final int DOUBLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOW

    static final int DOW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOY

    static final int DOY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DROP

    static final int DROP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DYNAMIC

    static final int DYNAMIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DYNAMIC_FUNCTION

    static final int DYNAMIC_FUNCTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DYNAMIC_FUNCTION_CODE

    static final int DYNAMIC_FUNCTION_CODE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EACH

    static final int EACH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELEMENT

    static final int ELEMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELSE

    static final int ELSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EMPTY

    static final int EMPTY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### END

    static final int END
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### END_EXEC

    static final int END_EXEC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### END_FRAME

    static final int END_FRAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### END_PARTITION

    static final int END_PARTITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EPOCH

    static final int EPOCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EQUALS

    static final int EQUALS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESCAPE

    static final int ESCAPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EVERY

    static final int EVERY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXCEPT

    static final int EXCEPT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXCEPTION

    static final int EXCEPTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXCLUDE

    static final int EXCLUDE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXCLUDING

    static final int EXCLUDING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXEC

    static final int EXEC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXECUTE

    static final int EXECUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXISTS

    static final int EXISTS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXP

    static final int EXP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPLAIN

    static final int EXPLAIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTEND

    static final int EXTEND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTERNAL

    static final int EXTERNAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXTRACT

    static final int EXTRACT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FALSE

    static final int FALSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FETCH

    static final int FETCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FILTER

    static final int FILTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FINAL

    static final int FINAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FIRST

    static final int FIRST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FIRST_VALUE

    static final int FIRST_VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOAT

    static final int FLOAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FLOOR

    static final int FLOOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FOLLOWING

    static final int FOLLOWING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FOR

    static final int FOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FOREIGN

    static final int FOREIGN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FORTRAN

    static final int FORTRAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FOUND

    static final int FOUND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FRAC_SECOND

    static final int FRAC_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FRAME_ROW

    static final int FRAME_ROW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FREE

    static final int FREE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FROM

    static final int FROM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FULL

    static final int FULL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FUNCTION

    static final int FUNCTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FUSION

    static final int FUSION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### G

    static final int G
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GENERAL

    static final int GENERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GENERATED

    static final int GENERATED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GEOMETRY

    static final int GEOMETRY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GET

    static final int GET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GLOBAL

    static final int GLOBAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GO

    static final int GO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GOTO

    static final int GOTO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GRANT

    static final int GRANT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GRANTED

    static final int GRANTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GROUP

    static final int GROUP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GROUPING

    static final int GROUPING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GROUPS

    static final int GROUPS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HAVING

    static final int HAVING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HIERARCHY

    static final int HIERARCHY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HOLD

    static final int HOLD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HOUR

    static final int HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTITY

    static final int IDENTITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IMMEDIATE

    static final int IMMEDIATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IMMEDIATELY

    static final int IMMEDIATELY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IMPLEMENTATION

    static final int IMPLEMENTATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IMPORT

    static final int IMPORT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IN

    static final int IN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INCLUDING

    static final int INCLUDING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INCREMENT

    static final int INCREMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INDICATOR

    static final int INDICATOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INITIAL

    static final int INITIAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INITIALLY

    static final int INITIALLY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INNER

    static final int INNER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INOUT

    static final int INOUT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INPUT

    static final int INPUT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INSENSITIVE

    static final int INSENSITIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INSERT

    static final int INSERT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INSTANCE

    static final int INSTANCE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INSTANTIABLE

    static final int INSTANTIABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INT

    static final int INT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTEGER

    static final int INTEGER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTERSECT

    static final int INTERSECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTERSECTION

    static final int INTERSECTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTERVAL

    static final int INTERVAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTO

    static final int INTO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INVOKER

    static final int INVOKER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IS

    static final int IS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ISOLATION

    static final int ISOLATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### JAVA

    static final int JAVA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### JOIN

    static final int JOIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### JSON

    static final int JSON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### K

    static final int K
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### KEY

    static final int KEY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### KEY_MEMBER

    static final int KEY_MEMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### KEY_TYPE

    static final int KEY_TYPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LABEL

    static final int LABEL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LAG

    static final int LAG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LANGUAGE

    static final int LANGUAGE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LARGE

    static final int LARGE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LAST

    static final int LAST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LAST_VALUE

    static final int LAST_VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LATERAL

    static final int LATERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEAD

    static final int LEAD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEADING

    static final int LEADING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEFT

    static final int LEFT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LENGTH

    static final int LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEVEL

    static final int LEVEL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LIBRARY

    static final int LIBRARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LIKE

    static final int LIKE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LIKE_REGEX

    static final int LIKE_REGEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LIMIT

    static final int LIMIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LN

    static final int LN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCAL

    static final int LOCAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCALTIME

    static final int LOCALTIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCALTIMESTAMP

    static final int LOCALTIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCATOR

    static final int LOCATOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOWER

    static final int LOWER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### M

    static final int M
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAP

    static final int MAP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MATCH

    static final int MATCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MATCHED

    static final int MATCHED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MATCHES

    static final int MATCHES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MATCH_NUMBER

    static final int MATCH_NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MATCH_RECOGNIZE

    static final int MATCH_RECOGNIZE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAX

    static final int MAX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MAXVALUE

    static final int MAXVALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MEASURES

    static final int MEASURES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MEMBER

    static final int MEMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MERGE

    static final int MERGE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MESSAGE_LENGTH

    static final int MESSAGE_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MESSAGE_OCTET_LENGTH

    static final int MESSAGE_OCTET_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MESSAGE_TEXT

    static final int MESSAGE_TEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### METHOD

    static final int METHOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MICROSECOND

    static final int MICROSECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MILLENNIUM

    static final int MILLENNIUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MIN

    static final int MIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUTE

    static final int MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINVALUE

    static final int MINVALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOD

    static final int MOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MODIFIES

    static final int MODIFIES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MODULE

    static final int MODULE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MONTH

    static final int MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MORE_

    static final int MORE_
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MULTISET

    static final int MULTISET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MUMPS

    static final int MUMPS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NAME

    static final int NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NAMES

    static final int NAMES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NATIONAL

    static final int NATIONAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NATURAL

    static final int NATURAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NCHAR

    static final int NCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NCLOB

    static final int NCLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NESTING

    static final int NESTING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEW

    static final int NEW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEXT

    static final int NEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NO

    static final int NO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NONE

    static final int NONE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NORMALIZE

    static final int NORMALIZE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NORMALIZED

    static final int NORMALIZED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NTH_VALUE

    static final int NTH_VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NTILE

    static final int NTILE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NULL

    static final int NULL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NULLABLE

    static final int NULLABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NULLIF

    static final int NULLIF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NULLS

    static final int NULLS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMBER

    static final int NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMERIC

    static final int NUMERIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OBJECT

    static final int OBJECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OCCURRENCES_REGEX

    static final int OCCURRENCES_REGEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OCTET_LENGTH

    static final int OCTET_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OCTETS

    static final int OCTETS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OF

    static final int OF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OFFSET

    static final int OFFSET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OLD

    static final int OLD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OMIT

    static final int OMIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ON

    static final int ON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ONE

    static final int ONE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ONLY

    static final int ONLY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPEN

    static final int OPEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPTION

    static final int OPTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPTIONS

    static final int OPTIONS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ORDER

    static final int ORDER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ORDERING

    static final int ORDERING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ORDINALITY

    static final int ORDINALITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OTHERS

    static final int OTHERS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUT

    static final int OUT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUTER

    static final int OUTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUTPUT

    static final int OUTPUT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OVER

    static final int OVER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OVERLAPS

    static final int OVERLAPS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OVERLAY

    static final int OVERLAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OVERRIDING

    static final int OVERRIDING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PAD

    static final int PAD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER

    static final int PARAMETER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_MODE

    static final int PARAMETER_MODE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_NAME

    static final int PARAMETER_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_ORDINAL_POSITION

    static final int PARAMETER_ORDINAL_POSITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_SPECIFIC_CATALOG

    static final int PARAMETER_SPECIFIC_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_SPECIFIC_NAME

    static final int PARAMETER_SPECIFIC_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARAMETER_SPECIFIC_SCHEMA

    static final int PARAMETER_SPECIFIC_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARTIAL

    static final int PARTIAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARTITION

    static final int PARTITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PASCAL

    static final int PASCAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PASSTHROUGH

    static final int PASSTHROUGH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PAST

    static final int PAST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PATH

    static final int PATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PATTERN

    static final int PATTERN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PER

    static final int PER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERCENT

    static final int PERCENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERCENTILE_CONT

    static final int PERCENTILE_CONT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERCENTILE_DISC

    static final int PERCENTILE_DISC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERCENT_RANK

    static final int PERCENT_RANK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERIOD

    static final int PERIOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERMUTE

    static final int PERMUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLACING

    static final int PLACING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLAN

    static final int PLAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLI

    static final int PLI
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PORTION

    static final int PORTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### POSITION

    static final int POSITION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### POSITION_REGEX

    static final int POSITION_REGEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### POWER

    static final int POWER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRECEDES

    static final int PRECEDES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRECEDING

    static final int PRECEDING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRECISION

    static final int PRECISION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PREPARE

    static final int PREPARE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRESERVE

    static final int PRESERVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PREV

    static final int PREV
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRIMARY

    static final int PRIMARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRIOR

    static final int PRIOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRIVILEGES

    static final int PRIVILEGES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PROCEDURE

    static final int PROCEDURE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PUBLIC

    static final int PUBLIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUARTER

    static final int QUARTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANGE

    static final int RANGE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RANK

    static final int RANK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### READ

    static final int READ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### READS

    static final int READS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REAL

    static final int REAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RECURSIVE

    static final int RECURSIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REF

    static final int REF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REFERENCES

    static final int REFERENCES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REFERENCING

    static final int REFERENCING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_AVGX

    static final int REGR_AVGX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_AVGY

    static final int REGR_AVGY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_COUNT

    static final int REGR_COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_INTERCEPT

    static final int REGR_INTERCEPT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_R2

    static final int REGR_R2
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_SLOPE

    static final int REGR_SLOPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_SXX

    static final int REGR_SXX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_SXY

    static final int REGR_SXY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REGR_SYY

    static final int REGR_SYY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RELATIVE

    static final int RELATIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RELEASE

    static final int RELEASE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REPEATABLE

    static final int REPEATABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REPLACE

    static final int REPLACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RESET

    static final int RESET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RESTART

    static final int RESTART
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RESTRICT

    static final int RESTRICT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RESULT

    static final int RESULT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURN

    static final int RETURN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURNED_CARDINALITY

    static final int RETURNED_CARDINALITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURNED_LENGTH

    static final int RETURNED_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURNED_OCTET_LENGTH

    static final int RETURNED_OCTET_LENGTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURNED_SQLSTATE

    static final int RETURNED_SQLSTATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RETURNS

    static final int RETURNS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REVOKE

    static final int REVOKE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RIGHT

    static final int RIGHT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROLE

    static final int ROLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROLLBACK

    static final int ROLLBACK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROLLUP

    static final int ROLLUP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROUTINE

    static final int ROUTINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROUTINE_CATALOG

    static final int ROUTINE_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROUTINE_NAME

    static final int ROUTINE_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROUTINE_SCHEMA

    static final int ROUTINE_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROW

    static final int ROW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROW_COUNT

    static final int ROW_COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROW_NUMBER

    static final int ROW_NUMBER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ROWS

    static final int ROWS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RUNNING

    static final int RUNNING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SAVEPOINT

    static final int SAVEPOINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCALE

    static final int SCALE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCHEMA

    static final int SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCHEMA_NAME

    static final int SCHEMA_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCOPE

    static final int SCOPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCOPE_CATALOGS

    static final int SCOPE_CATALOGS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCOPE_NAME

    static final int SCOPE_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCOPE_SCHEMA

    static final int SCOPE_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SCROLL

    static final int SCROLL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SEARCH

    static final int SEARCH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SECOND

    static final int SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SECTION

    static final int SECTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SECURITY

    static final int SECURITY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SEEK

    static final int SEEK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SELECT

    static final int SELECT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SELF

    static final int SELF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SENSITIVE

    static final int SENSITIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SEQUENCE

    static final int SEQUENCE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SERIALIZABLE

    static final int SERIALIZABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SERVER

    static final int SERVER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SERVER_NAME

    static final int SERVER_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SESSION

    static final int SESSION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SESSION_USER

    static final int SESSION_USER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SET

    static final int SET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SETS

    static final int SETS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SET_MINUS

    static final int SET_MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SHOW

    static final int SHOW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIMILAR

    static final int SIMILAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIMPLE

    static final int SIMPLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SIZE

    static final int SIZE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SKIP_

    static final int SKIP_
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SMALLINT

    static final int SMALLINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SOME

    static final int SOME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SOURCE

    static final int SOURCE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SPACE

    static final int SPACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SPECIFIC

    static final int SPECIFIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SPECIFIC_NAME

    static final int SPECIFIC_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SPECIFICTYPE

    static final int SPECIFICTYPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL

    static final int SQL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQLEXCEPTION

    static final int SQLEXCEPTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQLSTATE

    static final int SQLSTATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQLWARNING

    static final int SQLWARNING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_BIGINT

    static final int SQL_BIGINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_BINARY

    static final int SQL_BINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_BIT

    static final int SQL_BIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_BLOB

    static final int SQL_BLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_BOOLEAN

    static final int SQL_BOOLEAN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_CHAR

    static final int SQL_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_CLOB

    static final int SQL_CLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_DATE

    static final int SQL_DATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_DECIMAL

    static final int SQL_DECIMAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_DOUBLE

    static final int SQL_DOUBLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_FLOAT

    static final int SQL_FLOAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTEGER

    static final int SQL_INTEGER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_DAY

    static final int SQL_INTERVAL_DAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_DAY_TO_HOUR

    static final int SQL_INTERVAL_DAY_TO_HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_DAY_TO_MINUTE

    static final int SQL_INTERVAL_DAY_TO_MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_DAY_TO_SECOND

    static final int SQL_INTERVAL_DAY_TO_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_HOUR

    static final int SQL_INTERVAL_HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_HOUR_TO_MINUTE

    static final int SQL_INTERVAL_HOUR_TO_MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_HOUR_TO_SECOND

    static final int SQL_INTERVAL_HOUR_TO_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_MINUTE

    static final int SQL_INTERVAL_MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_MINUTE_TO_SECOND

    static final int SQL_INTERVAL_MINUTE_TO_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_MONTH

    static final int SQL_INTERVAL_MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_SECOND

    static final int SQL_INTERVAL_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_YEAR

    static final int SQL_INTERVAL_YEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_INTERVAL_YEAR_TO_MONTH

    static final int SQL_INTERVAL_YEAR_TO_MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_LONGVARBINARY

    static final int SQL_LONGVARBINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_LONGVARCHAR

    static final int SQL_LONGVARCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_LONGVARNCHAR

    static final int SQL_LONGVARNCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_NCHAR

    static final int SQL_NCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_NCLOB

    static final int SQL_NCLOB
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_NUMERIC

    static final int SQL_NUMERIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_NVARCHAR

    static final int SQL_NVARCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_REAL

    static final int SQL_REAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_SMALLINT

    static final int SQL_SMALLINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TIME

    static final int SQL_TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TIMESTAMP

    static final int SQL_TIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TINYINT

    static final int SQL_TINYINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_DAY

    static final int SQL_TSI_DAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_FRAC_SECOND

    static final int SQL_TSI_FRAC_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_HOUR

    static final int SQL_TSI_HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_MICROSECOND

    static final int SQL_TSI_MICROSECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_MINUTE

    static final int SQL_TSI_MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_MONTH

    static final int SQL_TSI_MONTH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_QUARTER

    static final int SQL_TSI_QUARTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_SECOND

    static final int SQL_TSI_SECOND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_WEEK

    static final int SQL_TSI_WEEK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_YEAR

    static final int SQL_TSI_YEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_VARBINARY

    static final int SQL_VARBINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQL_VARCHAR

    static final int SQL_VARCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SQRT

    static final int SQRT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### START

    static final int START
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STATE

    static final int STATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STATEMENT

    static final int STATEMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STATIC

    static final int STATIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STDDEV_POP

    static final int STDDEV_POP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STDDEV_SAMP

    static final int STDDEV_SAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STREAM

    static final int STREAM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STRUCTURE

    static final int STRUCTURE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STYLE

    static final int STYLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBCLASS_ORIGIN

    static final int SUBCLASS_ORIGIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBMULTISET

    static final int SUBMULTISET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSET

    static final int SUBSET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSTITUTE

    static final int SUBSTITUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSTRING

    static final int SUBSTRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUBSTRING_REGEX

    static final int SUBSTRING_REGEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUCCEEDS

    static final int SUCCEEDS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SUM

    static final int SUM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SYMMETRIC

    static final int SYMMETRIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SYSTEM

    static final int SYSTEM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SYSTEM_TIME

    static final int SYSTEM_TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SYSTEM_USER

    static final int SYSTEM_USER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TABLE

    static final int TABLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TABLE_NAME

    static final int TABLE_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TABLESAMPLE

    static final int TABLESAMPLE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TEMPORARY

    static final int TEMPORARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### THEN

    static final int THEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIES

    static final int TIES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIME

    static final int TIME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMESTAMP

    static final int TIMESTAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMESTAMPADD

    static final int TIMESTAMPADD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMESTAMPDIFF

    static final int TIMESTAMPDIFF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMEZONE_HOUR

    static final int TIMEZONE_HOUR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMEZONE_MINUTE

    static final int TIMEZONE_MINUTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TINYINT

    static final int TINYINT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TO

    static final int TO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TOP_LEVEL_COUNT

    static final int TOP_LEVEL_COUNT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRAILING

    static final int TRAILING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSACTION

    static final int TRANSACTION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSACTIONS_ACTIVE

    static final int TRANSACTIONS_ACTIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSACTIONS_COMMITTED

    static final int TRANSACTIONS_COMMITTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSACTIONS_ROLLED_BACK

    static final int TRANSACTIONS_ROLLED_BACK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSFORM

    static final int TRANSFORM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSFORMS

    static final int TRANSFORMS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSLATE

    static final int TRANSLATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSLATE_REGEX

    static final int TRANSLATE_REGEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRANSLATION

    static final int TRANSLATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TREAT

    static final int TREAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIGGER

    static final int TRIGGER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIGGER_CATALOG

    static final int TRIGGER_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIGGER_NAME

    static final int TRIGGER_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIGGER_SCHEMA

    static final int TRIGGER_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIM

    static final int TRIM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRIM_ARRAY

    static final int TRIM_ARRAY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUE

    static final int TRUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TRUNCATE

    static final int TRUNCATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TYPE

    static final int TYPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UESCAPE

    static final int UESCAPE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNBOUNDED

    static final int UNBOUNDED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNCOMMITTED

    static final int UNCOMMITTED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNDER

    static final int UNDER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNION

    static final int UNION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNIQUE

    static final int UNIQUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNKNOWN

    static final int UNKNOWN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNNAMED

    static final int UNNAMED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNNEST

    static final int UNNEST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPDATE

    static final int UPDATE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPPER

    static final int UPPER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UPSERT

    static final int UPSERT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USAGE

    static final int USAGE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USER

    static final int USER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USER_DEFINED_TYPE_CATALOG

    static final int USER_DEFINED_TYPE_CATALOG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USER_DEFINED_TYPE_CODE

    static final int USER_DEFINED_TYPE_CODE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USER_DEFINED_TYPE_NAME

    static final int USER_DEFINED_TYPE_NAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USER_DEFINED_TYPE_SCHEMA

    static final int USER_DEFINED_TYPE_SCHEMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### USING

    static final int USING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VALUE

    static final int VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VALUES

    static final int VALUES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VALUE_OF

    static final int VALUE_OF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VAR_POP

    static final int VAR_POP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VAR_SAMP

    static final int VAR_SAMP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VARBINARY

    static final int VARBINARY
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VARCHAR

    static final int VARCHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VARYING

    static final int VARYING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VERSION

    static final int VERSION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VERSIONING

    static final int VERSIONING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VIEW

    static final int VIEW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WEEK

    static final int WEEK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHEN

    static final int WHEN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHENEVER

    static final int WHENEVER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHERE

    static final int WHERE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WIDTH_BUCKET

    static final int WIDTH_BUCKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WINDOW

    static final int WINDOW
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WITH

    static final int WITH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WITHIN

    static final int WITHIN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WITHOUT

    static final int WITHOUT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WORK

    static final int WORK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WRAPPER

    static final int WRAPPER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WRITE

    static final int WRITE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### XML

    static final int XML
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### YEAR

    static final int YEAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ZONE

    static final int ZONE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOCATION

    static final int LOCATION
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INPUTFORMAT

    static final int INPUTFORMAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUTPUTFORMAT

    static final int OUTPUTFORMAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PARALLELISM

    static final int PARALLELISM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STORED

    static final int STORED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TBLPROPERTIES

    static final int TBLPROPERTIES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### JAR

    static final int JAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNSIGNED_INTEGER_LITERAL

    static final int UNSIGNED_INTEGER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### APPROX_NUMERIC_LITERAL

    static final int APPROX_NUMERIC_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL_NUMERIC_LITERAL

    static final int DECIMAL_NUMERIC_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HEXDIGIT

    static final int HEXDIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WHITESPACE

    static final int WHITESPACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BINARY_STRING_LITERAL

    static final int BINARY_STRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED_STRING

    static final int QUOTED_STRING
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PREFIXED_STRING_LITERAL

    static final int PREFIXED_STRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNICODE_STRING_LITERAL

    static final int UNICODE_STRING_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CHARSETNAME

    static final int CHARSETNAME
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNICODE_QUOTED_ESCAPE_CHAR

    static final int UNICODE_QUOTED_ESCAPE_CHAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LPAREN

    static final int LPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RPAREN

    static final int RPAREN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACE_D

    static final int LBRACE_D
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACE_T

    static final int LBRACE_T
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACE_TS

    static final int LBRACE_TS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACE_FN

    static final int LBRACE_FN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACE

    static final int LBRACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RBRACE

    static final int RBRACE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LBRACKET

    static final int LBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RBRACKET

    static final int RBRACKET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SEMICOLON

    static final int SEMICOLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOT

    static final int DOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EQ

    static final int EQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GT

    static final int GT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LT

    static final int LT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HOOK

    static final int HOOK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLON

    static final int COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LE

    static final int LE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GE

    static final int GE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NE

    static final int NE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NE2

    static final int NE2
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STAR

    static final int STAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SLASH

    static final int SLASH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PERCENT_REMAINDER

    static final int PERCENT_REMAINDER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONCAT

    static final int CONCAT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NAMED_ARGUMENT_ASSIGNMENT

    static final int NAMED_ARGUMENT_ASSIGNMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE_PERIOD

    static final int DOUBLE_PERIOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTE

    static final int QUOTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOUBLE_QUOTE

    static final int DOUBLE_QUOTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VERTICAL_BAR

    static final int VERTICAL_BAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CARET

    static final int CARET
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DOLLAR

    static final int DOLLAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FORMAL_COMMENT

    static final int FORMAL_COMMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MULTI_LINE_COMMENT

    static final int MULTI_LINE_COMMENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BRACKET_QUOTED_IDENTIFIER

    static final int BRACKET_QUOTED_IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED_IDENTIFIER

    static final int QUOTED_IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BACK_QUOTED_IDENTIFIER

    static final int BACK_QUOTED_IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLLATION_ID

    static final int COLLATION_ID
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    static final int IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNICODE_QUOTED_IDENTIFIER

    static final int UNICODE_QUOTED_IDENTIFIER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LETTER

    static final int LETTER
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIGIT

    static final int DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEL

    static final int BEL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DQID

    static final int DQID
    Lexical state.
    See Also:
      - Constant Field Values

  - ### BTID

    static final int BTID
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IN_FORMAL_COMMENT

    static final int IN_FORMAL_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IN_MULTI_LINE_COMMENT

    static final int IN_MULTI_LINE_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.